CoCoALib - Design #316

submodule constructor different from ideal
20 Feb 2013 16:43 - Anna Maria Bigatti

Status: In Progress Start date: 20 Feb 2013
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 0%
Category: Tidying Estimated time: 0.00 hour
Target version: CoCoALib-1.0 Spent time: 0.00 hour
Description

The way we create a submodule (Submodulelmpl ctor) is different from how we create ideals (IdealCtor).
| think it would be nice to have same names/structure

Related issues:

Related to CoCoALib - Bug #335: Equality of (sub)modules Closed 08 Apr 2013
Related to CoCoALib - Bug #130: Design problem in ideals New 15 Apr 2012
Related to CoCoALib - Design #871: Redesign ideals New 26 Apr 2016
History

#1 - 23 May 2013 08:13 - Anna Maria Bigatti
- Subject changed from submodule" constructor for pointer different from "ideal to submodule constructor different from ideal
- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

#2 - 29 Oct 2013 13:41 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.9953 to CoCoALib-0.99532

#3 - 02 Apr 2014 07:43 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#4 - 07 Apr 2014 18:26 - John Abbott
- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#5 - 10 Jul 2014 16:21 - John Abbott
- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#6 - 26 Apr 2016 15:11 - John Abbott
- Related to Design #871: Redesign ideals added

10 Apr 2024
